commit:     44192b147b497506db426ca0033cb7f0144e319b
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 30 00:09:26 2017 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Mon Oct 30 00:10:43 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=44192b14

dev-python/google-auth: version bump to 1.1.0

Package-Manager: Portage-2.3.13, Repoman-2.3.3

 dev-python/google-auth/Manifest                 |  1 +
 dev-python/google-auth/google-auth-1.1.0.ebuild | 52 +++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index 3be44847627..00f20d24b79 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -1 +1,2 @@
 DIST google-auth-1.0.1.tar.gz 133903 SHA256 
dd7b6e5f3bd15c0f7cfee63a266acea40c779da0a924b475bc1812e6e10687e1 SHA512 
c10822c6b75700503a06a4b3a43a123d57605a043eb494bcb0232cc3941fc039d0803ed75be26d0da72fd4df613135c290fb3fdf82b0fa47d4fe0729462d80f4
 WHIRLPOOL 
04560bf31278988be1c98c0d781b84cfbc48b3c1e00e772ca83d17cbf05d2db055e6a8bf732605d39cdc02a0068d898b3c5765019e2550cdc980f2da50cd222e
+DIST google-auth-1.1.0.tar.gz 290602 SHA256 
3aca3b909477a60efc1150ead3a42ff6734365f24d121d258924fdce467f17c5 SHA512 
03b4021f5bc3c60671e1e528642af4682828e3a83a07aa9dea8a28b3f97c4020ac47f325c8a952f366d45196e6a9a78a78e1abcfc8d7f878f7b6369434a0b79f
 WHIRLPOOL 
1b10f0208573ae9e93a013b45e04c23b97c7c182c72b1ff1a293a88f1dcbc02e46edae5f1ba07cdae337aa4c9b8e3a1965cbe0eb480183368e6f80cbb13cb16a

diff --git a/dev-python/google-auth/google-auth-1.1.0.ebuild 
b/dev-python/google-auth/google-auth-1.1.0.ebuild
new file mode 100644
index 00000000000..64bf9f26fd1
--- /dev/null
+++ b/dev-python/google-auth/google-auth-1.1.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="https://pypi.python.org/pypi/google-auth/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+
+RDEPEND="
+       dev-python/namespace-google[${PYTHON_USEDEP}]
+       >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+       >=dev-python/pyasn1-modules-0.0.5[${PYTHON_USEDEP}]
+       >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+       >=dev-python/six-1.6.1[${PYTHON_USEDEP}]
+       >=dev-python/cachetools-2.0.0[${PYTHON_USEDEP}]
+       "
+DEPEND="${RDEPEND}
+       test? (
+               dev-python/flask[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-localserver[${PYTHON_USEDEP}]
+       )"
+
+python_prepare_all() {
+       # urllib3-1.16 raised MaxRetryError, not TransportError
+       sed -e 's:test_connection_error:_\0:' \
+               -e 's:test_request_with_timeout_failure:_\0:' \
+               -i tests/transport/compliance.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       # delete stray files included in the tarball
+       find "${S}"/tests -name '*.pyc' -delete || die
+       py.test || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       find "${ED}" -name '*.pth' -delete || die
+}

Reply via email to